// #+TITLE: Refinements for paths
import * as p from "path";
import { Tagged } from "ts-refined";
// ** Tags
export class FPath extends Tagged {
}
export class Dir extends Tagged {
}
export class File extends Tagged {
}
// ** Refinements
export class Abs {
    constructor() {
        this.test = (s) => p.isAbsolute(s);
    }
}
export class Rel {
    constructor() {
        this.test = (s) => !p.isAbsolute(s);
    }
}
// ** Retyped path functions
export const basename = p.basename;
export const dirname = p.dirname;
export const extname = p.extname;
export const format = p.format;
export const isAbsolute = p.isAbsolute;
export const join = p.join;
export const normalize = p.normalize;
export const parse = p.parse;
export const relative = p.relative;
export const resolve = p.resolve;
export { delimiter, posix, sep, win32 } from "path";
